.step h2 {
    font-size: 30px;
    margin-bottom: 25px;
}

.step h2 span {
    color: #0b3b7e;
}

.steps-container {
    width: 100%;
    max-width: 500px;
    margin: 60px auto;
    background: white;
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
}

.step {
    display: none;
    flex-direction: column;
    gap: 10px;
}

.step input, .step select {
    width: 100%;
    padding: 14px 18px;
    border-radius: 18px;
    border: none;
    margin-bottom: 20px;
    font-size: 15px;
    outline: none;
    background: #f2f2f2;
}

.step button {
    margin-top: 20px;
    background: #0b3b7e;
    color: #ffffff;
    border: none;
    padding: 14px 40px;
    border-radius: 30px;
    font-weight: 700;
    cursor: pointer;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
}

.step button:hover {
    background: #ff8c00;
}

.form-box {
    width: 100%;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.prestamo-container {
    display: flex;
    justify-content: center;
}

.form-box h2 {
    font-size: 30px;
    margin-bottom: 25px;
}

.form-box h2 span {
    color: #0b3b7e;
}

.form-box input, .form-box textarea {
    width: 100%;
    padding: 14px 18px;
    border-radius: 30px;
    border: none;
    margin-bottom: 15px;
    font-size: 15px;
    outline: none;
}

.step .form-check-input {
    display: inline-block;
    width: auto;
}

.check {
    align-items: center;
    gap: 10px;
    font-size: 14px;
    color: #0b3b7e;
}

.check input {
    width: 18px;
    height: 18px;
}

.form-box button {
    margin-top: 20px;
    background: #0b3b7e;
    color: #ffffff;
    border: none;
    padding: 14px 40px;
    border-radius: 30px;
    font-weight: 700;
    cursor: pointer;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
}

.form-box button:hover {
    margin-top: 20px;
    background: #ff8c00;
    color: #ffffff;
    border: none;
    padding: 14px 40px;
    border-radius: 30px;
    font-weight: 700;
    cursor: pointer;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
}

@media (max-width: 900px) {
    .prestamo-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 1024px) {

    .prestamo-container {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
}

@media (max-width: 768px) {
    .form-box {
        max-width: 400px;
    }
}

.buttons {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.buttons .prev {
    background: #ccc;
    color: #333;
    box-shadow: none;
}

.buttons .prev:hover {
    background: #bbb;
}

.buttons.single {
    justify-content: flex-end;
}

.step.active {
    display: flex;
}

.progress-bar {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-bottom: 30px;
}

.progress-line {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 4px;
    background: #ddd;
    transform: translateY(-50%);
}

.progress-line-active {
    position: absolute;
    top: 50%;
    left: 0;
    height: 4px;
    background: #0b3b7e;
    transform: translateY(-50%);
    width: 0;
    transition: 0.3s;
}

.progress-step {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: #0b3b7e; /* azul */
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    font-weight: bold;
    transition: 0.3s;
}

.progress-step.active {
    background: #ff8c00; /* naranja */
    color: white;
}

@media (max-width: 768px) {

    .steps-container {
        max-width: 400px;
        padding: 20px;
    }

    .step h2 {
        font-size: 22px;
    }

    .step input {
        padding: 12px;
        font-size: 14px;
    }

    .step button {
        padding: 12px;
        font-size: 14px;
    }
}